image: python:3.7

stages:
  - test

before_script:
  - pip install --upgrade pip
  - pip install -r requirements.txt

run_tests:
  stage: test
  script:
    - export SECRET_KEY="testsecretkey1"
    - DJANGO_EMAIL_BACKEND="django.core.mail.backends.console.EmailBackend"
    - export DJANGO_SETTINGS_MODULE=settings.test
    - coverage run --source="." manage.py test --settings=settings.test
    - coverage report
  only:
    - master
    - develop
    - merge_requests
